// ----------------------------------------------------
// KINHELIOS
// ----------------------------------------------------
// BBA - 26/01/2011
// ----------------------------------------------------
// Gestion de l'objet Gestionnaire RECHERCHE
// ----------------------------------------------------

// ------------------------------------------------------------------------------------------------
// DECLARATION DU L'OBJET RECHERCHE
function obj_recherche(cheminTemplate,obj_parent)
{
	this.monDoc = obj_parent;
	this.recherche_liste = new Array();
	
	this.template = "";
	
	objCourant = this;	
	// Pour appeler un fichier externe
//	$.get(cheminTemplate,function(objRetour)
//	{
		//objCourant.template = objRetour;
//		document.gestPrincipal.charge_templateRecherche(objRetour);
//	},'html');
	
	

}

// ----------------------------------------------------
// METHODE DE L'OBJET RECHERCHE
// ----------------------------------------------------

// ----------------------------------------------------
obj_recherche.prototype.listeRecherche_Afficher = function()
{
		//++++++++++++++++++++++++++++++++++++++++++++++++
	    // GESTION DE L'AFFICHAGE
	    //++++++++++++++++++++++++++++++++++++++++++++++++
	    //
	    this.template = "<div class='PanierLigne'>";
	    if(gestionPrincipale=="")	this.template = this.template + "<input class='LigneRechCkeck' type='checkbox' name='choixligne' value='coche' onchange='ART_ChoixListe_Coche(__NUM_LIGNE__)' __CHECKED__/>";
		this.template = this.template + "<p class='LigneBoite LigneRechNom'>__ART_NOM__</p>";
		this.template = this.template + "<p class='LigneBoite LigneRechCB'>__ART_CB__</p>";
		if(gestionPrincipale=="")	this.template = this.template + "<p class='LigneBoite LigneRechQte'>__VTE_QTE__x</p>";
		this.template = this.template + "<p class='LigneBoite LigneRechMt'>__PRIX_U__</p>";
		this.template = this.template + "<div class='LigneBoite LigneModif'><img class='img_modif' src='image/chevron.png'></div>";
		this.template = this.template + "<div class='LigneBoite LigneClic' onclick='AFF_ArticleChoix(&quot;CHOIX&quot;,__ART_ID__,0,__VTE_QTE__,&quot;__DECLI_CODE__&quot;,__NUM_LIGNE__);return false;'></div>";
		this.template = this.template + "</div>";
	    
	   	var LigneChoixBase = this.template;
		
		var LigneChoixListe = "";
		var Tableau = "";
		
		var regCHECK = new RegExp("__CHECKED__", "g");
		var regARTNOM = new RegExp("__ART_NOM__", "g");
		var regARTCB = new RegExp("__ART_CB__", "g");
		var regARTDECLICode = new RegExp("__DECLI_CODE__", "g");
		var regQTE = new RegExp("__VTE_QTE__", "g");
		var regPU = new RegExp("__PRIX_U__", "g");
		var regARTID = new RegExp("__ART_ID__", "g");
        var regNumLigne = new RegExp("__NUM_LIGNE__", "g");
	
		//++++++++++++++++++++++++++++++++++++++++++++++++
		// On boucle sur chaque ligne pour l'affichage
		for (i=0; i<this.recherche_liste.length; i++)
		{
			LigneChoixListe = LigneChoixBase;
			
			var DecliRef = this.recherche_liste[i].codeBarre;
			
			if(this.recherche_liste[i].decliLibel != "")
			{
				DecliRef = "<span class='LigneDecli'>"+this.recherche_liste[i].decliLibel + "</span>&nbsp;&nbsp;" + DecliRef;
			}
			
			
			if(this.recherche_liste[i].choix == true)
			{
				choixCheck = "checked";
			}else
			{
				choixCheck = "";
			}
			
			// Il faut remplacer les variables par leur valeur
			LigneChoixListe=LigneChoixListe.replace(regCHECK, choixCheck);
			LigneChoixListe=LigneChoixListe.replace(regARTNOM, this.recherche_liste[i].nomArticle);
			LigneChoixListe=LigneChoixListe.replace(regARTCB, DecliRef);
			LigneChoixListe=LigneChoixListe.replace(regQTE, this.recherche_liste[i].qte);
			var affMt=UTI_Format_Number(this.recherche_liste[i].prixUnitaire);
			LigneChoixListe=LigneChoixListe.replace(regPU, affMt);
			LigneChoixListe=LigneChoixListe.replace(regARTID, this.recherche_liste[i].idArticle);
			LigneChoixListe=LigneChoixListe.replace(regARTDECLICode, this.recherche_liste[i].decliCode);
            LigneChoixListe=LigneChoixListe.replace(regNumLigne, i);
			Tableau = Tableau + LigneChoixListe;
			
		}
		
		//++++++++++++++++++++++++++++++++++++++++++++++++
		// On remplace dans le template							
	    this.monDoc.getElementById("recherche_liste").innerHTML = Tableau;
}
//--------------------------------------------- 
//function ART_ChoixListe_Modifier()
obj_recherche.prototype.listeRecherche_Modifier = function()
{
	// sauvegarde des modification dans le tableau de recherche
	var vIndex=$('input[name=numLigne]').val();
	 	
	this.recherche_liste[vIndex].idArticle=$('input[name=idArticle]').val();
	this.recherche_liste[vIndex].nomArticle=$('input[name=nomArticle]').val();
	this.recherche_liste[vIndex].codeBarre=$('input[name=codeBarre]').val();
	this.recherche_liste[vIndex].decliLibel=$('input[name=decliLibel]').val();
	this.recherche_liste[vIndex].decliCode=$('input[name=decliCode]').val();
	this.recherche_liste[vIndex].prixUnitaire=parseFloat($('input[name=prixUnitaire]').val());
	this.recherche_liste[vIndex].qte=$('input[name=vteQte]').val();
	this.recherche_liste[vIndex].prixLigne=parseFloat($('input[name=prixLigne]').val());
	this.recherche_liste[vIndex].choix=true;
	
	
}


// ------------------------------------------------------------------------------------------------
// DECLARATION DU L'OBJET LIGNE PANIER
function obj_rech_ligne(idArticle,nomArticle,codeBarre,decliLibel,decliCode,prixUnitaire,qte,prixLigne)
{
	this.idArticle=idArticle;
	this.nomArticle=nomArticle;
	this.codeBarre=codeBarre;
	this.decliLibel=decliLibel;
	this.decliCode=decliCode;
	this.prixUnitaire=parseFloat(prixUnitaire);
	this.qte=qte;
	this.prixLigne=parseFloat(prixLigne);
	this.choix=false;
}